#include <bits/stdc++.h>
using namespace std;
int main()
{
	long long int n,l,i,j=0;
	cin>>n;cin>>l; 
	long long int niz[n],niz1[n]={-1};
	for(i=0;i<n;i++)
	{
		cin>>niz[i];  // unos niza
		if (niz[i]<=l)
			niz1[j++]=i+1;
	}
	cout<<niz1[0];
}